Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create agent session retry

POST/workspaces/{organizationId}/agent/sessions/{sessionId}/retry
Path parameters
organizationIdstringrequired
sessionIdstringrequired
Request body
application/json
contextstring
agentIdstring
modelstring
effortstring
Allowed:lowmediumhighmax
maxDurationinteger

Wall-clock run budget in minutes; past it the lane is canceled and escalated on the issue

min 1 · max 1440
Responses
201

New session dispatched with retry context

idstringrequired
organizationIdstringrequired
issueIdstringrequired
agentIdstringrequired
providerstringrequired
actorIdstringrequired
actorTypestringrequired
Allowed:useragent
statusstringrequired
Allowed:createdrunningwaitingcompletedfailedcanceled
resultstring | nullrequired
urlstring | nullrequired
providerSessionIdstring | nullrequired
prUrlstring | nullrequired
prStatestring | nullrequired
branchstring | nullrequired
purposestring | null
secondaryReposstring | null
maxDurationMinutesinteger | null
effortstring | null
Allowed:lowmediumhighmaxnull
labelstring | null
resultSchemaobject | null
structuredResultany | null
resultSchemaErrorsstring[] | null
createdAtstringrequired
updatedAtstringrequired
lastProgressAtstring | null
lastStateHashstring | null
derivedStatusstring | null
Allowed:stalledneeds_inputnull
activitiesobject[]
Show properties
Array of object
idstringrequired
sessionIdstringrequired
actorIdstring | nullrequired
typestringrequired
Allowed:thoughtresponseerrorelicitationactionstatusartifact
messagestringrequired
payloadany | null
parentIdstring | nullrequired
startedAtstring | nullrequired
endedAtstring | nullrequired
durationMsnumber | nullrequired
createdAtstringrequired
404

Session or issue not found

409

An active session already exists for this issue

Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST '/workspaces/string/agent/sessions/string/retry' \
  -H 'Content-Type: application/json' \
  -d '{
  "context": "string",
  "agentId": "string",
  "model": "string",
  "effort": "low",
  "maxDuration": 1
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "issueId": "string",
  "agentId": "string",
  "provider": "string",
  "actorId": "string",
  "actorType": "user",
  "status": "created",
  "result": "string",
  "url": "string",
  "providerSessionId": "string",
  "prUrl": "string",
  "prState": "string",
  "branch": "string",
  "purpose": "string",
  "secondaryRepos": "string",
  "maxDurationMinutes": 0,
  "effort": "low",
  "label": "string",
  "resultSchema": {
    "property1": null,
    "property2": null
  },
  "structuredResult": null,
  "resultSchemaErrors": [
    "string"
  ],
  "createdAt": "string",
  "updatedAt": "string",
  "lastProgressAt": "string",
  "lastStateHash": "string",
  "derivedStatus": "stalled",
  "activities": [
    {
      "id": "string",
      "sessionId": "string",
      "actorId": "string",
      "type": "thought",
      "message": "string",
      "payload": null,
      "parentId": "string",
      "startedAt": "string",
      "endedAt": "string",
      "durationMs": 0,
      "createdAt": "string"
    }
  ]
}